package com.zhongzheng.modules.order.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zhongzheng.modules.bank.bo.QuestionQueryBo;
import com.zhongzheng.modules.bank.vo.QuestionVo;
import com.zhongzheng.modules.order.bo.OrderAddBo;
import com.zhongzheng.modules.order.bo.OrderGoodsQueryBo;
import com.zhongzheng.modules.order.domain.OrderGoods;
import com.zhongzheng.modules.order.vo.OrderGoodsVo;

import java.util.List;
import java.util.Map;

/**
 * 订单商品Mapper接口
 *
 * @author hjl
 * @date 2021-11-08
 */
public interface OrderGoodsMapper extends BaseMapper<OrderGoods> {
    List<OrderGoodsVo> selectList(OrderGoodsQueryBo bo);
    OrderGoodsVo selectDetail(OrderGoodsQueryBo bo);

    List<OrderGoodsVo> selectOrderGoods(OrderGoodsQueryBo orderGoodsQueryBo);

    List<OrderGoodsVo> selectOrderTwoGoods(OrderGoodsQueryBo orderGoodsQueryBo);
    Long getBuyGoodsHistory(OrderGoodsQueryBo bo);

    List<OrderGoodsVo> sendGoods();
}
